> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truckaurbus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Makers with a published machine, with the count and the classes they carry



## OpenAPI

````yaml /api-reference/openapi.json get /v1/machines/makers
openapi: 3.1.0
info:
  title: Truckaurbus API
  version: v1
  description: >-
    The public v1 API at https://api.truckaurbus.com/v1. Authenticate with an
    API key in the Authorization header: Bearer tab_live_...
servers:
  - url: https://api.truckaurbus.com
security: []
paths:
  /v1/machines/makers:
    get:
      tags:
        - v1
      summary: >-
        Makers with a published machine, with the count and the classes they
        carry
      operationId: identity_api_v1_machine_makers
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/MachineMakerOut'
                title: Response
                type: array
          description: OK
components:
  schemas:
    MachineMakerOut:
      properties:
        classes:
          default: []
          items:
            type: string
          title: Classes
          type: array
        machine_count:
          title: Machine Count
          type: integer
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
      required:
        - slug
        - name
        - machine_count
      title: MachineMakerOut
      type: object

````